Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordReaderFilterAdaptor

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordFilter
          com.servingxml.components.recordio.RecordReaderFilterAdaptor

All Implemented Interfaces:
  RecordFilter, RecordReader, RecordWriter

    public class RecordReaderFilterAdaptor

extends AbstractRecordFilter
implements RecordFilter

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordWriter
`RecordWriter.DefaultDiscardWriter, RecordWriter.NullRecordWriter`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordFilter
`NULL`

Fields inherited from interface com.servingxml.components.recordio.RecordWriter
`DEFAULT_DISCARD_WRITER`

Constructor Summary
`RecordReaderFilterAdaptor(RecordReader myRecordReader)`

Method Summary
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordFilter
`close, discardRecord, endRecordStream, getDiscardWriter, getExpirable, getKey, getRecordReader, getRecordWriter, readRecords, setDiscardWriter, setRecordReader, setRecordWriter, startRecordStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordFilter
`setRecordReader`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`discardRecord, getDiscardWriter, getExpirable, getKey, getRecordWriter, readRecords, setDiscardWriter, setRecordWriter`

Methods inherited from interface com.servingxml.components.recordio.RecordWriter
`close, endRecordStream, startRecordStream`

Constructor Detail

### RecordReaderFilterAdaptor

    public RecordReaderFilterAdaptor(RecordReader myRecordReader)

Method Detail

### writeRecord

    public void writeRecord(ServiceContext context,
                            Flow flow)

  Specified by:
    `writeRecord` in interface `RecordWriter`
  Overrides:
    `writeRecord` in class `AbstractRecordFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD